Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(3225)

Unified Diff: bin/droid

Issue 2323833002: GN: add a helper script for running Android builds (Closed)
Patch Set: docs Created 4 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | gn/BUILD.gn » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: bin/droid
diff --git a/bin/droid b/bin/droid
new file mode 100755
index 0000000000000000000000000000000000000000..d3571dd3ecb2161456e93dcc104d358c3f193210
--- /dev/null
+++ b/bin/droid
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# Run a GN-built Android binary on the connected device.
+#
+# Example usage:
+# $ ninja -C out dm
+# $ droid out/dm --src gm --config gpu
+#
+# See https://skia.org/user/quick/gn for build instructions.
+
+path=$1
+name=$(basename $1)
+shift
+args=$@
+
+set -e
+set -x
+
+adb push $path resources /data/local/tmp/
+adb shell "cd /data/local/tmp; ./$name $args"
« no previous file with comments | « no previous file | gn/BUILD.gn » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698